81 / 100 SEO Score

PHP Version Update

PHP Version Update: Support for PHP 7.1 ends 1 php version

Support for PHP 7.1 ends!

Soon, the support for the PHP version 7.1 ends completely. What this means and why a PHP update to 7.2 or 7.3 makes sense, we’ll explain in this post.

We do not have to say many words about PHP here. It is a freely available programming language, which is especially suitable for web programming. At the beginning of 2019, 79% of all websites were based on PHP (source: W3techs ). The question is, however, which PHP version? Because companies and developers sometimes use older versions for which the support has been or will be discontinued. Why this is not the best idea has several reasons.

Life cycle & End of Life of PHP

For every software comes out regularly a new release – so also for PHP. This allows developers to make improvements and fix bugs and security issues, and patch them regularly. The individual versions of PHP are generally fully supported 2 years after the first stable release. That is, there are active enhancements to the releases and releases are provided with security updates. After this 2-year support, critical vulnerabilities will be closed for another year. After these 3 years, the support for a PHP version ends. It is no longer supported and it comes to the so-called End of Life of the respective version.

The deadline for the end of security support communicates PHP on the website. The following table gives an overview of the end of life. The date refers to the setting of the security support.

  • PHP Version
  • 5.5
  • 5.6
  • 7.0
  • 7.1
  • 7.2
  • 7.3
  • End of Support
  • July 21, 2016
  • December 31, 2018
  • January 10, 2018
  • December 1, 2019
  • November 30, 2020
  • December 6, 2021

User distribution of PHP versions

At the beginning we mentioned that according to w3techs 79% of the websites are based on PHP. A statistic on the website shows the distribution of PHP versions. According to that, in November 2019 56% of PHP 5 were still in use. By comparison, 43.5% rely on PHP 7. Here it should also be distinguished whether it is 7.0, 7.1, 7.2 or 7.3. Because for 7.0 the support is finished since January 2018 and for 7.1 it ends in December 2019, so that these versions are no longer recommended.

PHP versions – Keeping Current

Why it makes sense to change, PHP explains itself under the motto ” Keeping Current “. On the page is:

“PHP, like any other large system, is under constant scrutiny and improvement. Flaws, configuration mishaps, and other issues that would affect the overall security and stability of your system is to update often, and maintain awareness of the latest versions and their changes. ”

So there are a few reasons why it’s worth doing regular updates to the latest version of PHP. We summarized these points.

Reason 1: Less update issues

If you fall behind with the updates and several versions have to be skipped, you can quickly get into a forced move. Those who regularly update, have clear advantages. On the one hand, this minimizes the risk of problems with the update and, on the other hand, there is a lower vulnerability with the latest version. For these reasons, a regular update from one to the next version is worthwhile.

Reason 2: Close security holes

Older versions no longer have security support. This means, for example, that version 5.5 has not been patched since 2016. In this case, there is a much higher risk that vulnerabilities will be exploited. Among other things, problems with DoS, code execution or memory corruption can occur. The risks can be avoided with a fully supported PHP version. Of course, websites with 7.2 or higher vulnerabilities may also be affected, but they may receive security updates. With an old version there is an unnecessary security risk.

Reason 3: Performance potential

Anyone who does not update does not exhaust the potential of his site. Because with the versions 7.2 and 7.3 were added enormous increases in performance. There are twice as many requests per second possible and the latency is only half. That means an increase in performance that should not be missed.

Reason 4: Plugins & Extensions

The developers of plug-ins and extensions for shop systems or CMS have to test and adapt these for the different versions. That’s a hassle, so sooner or later there will be no more customization for older PHP versions. This pre-programs problems with plugins and extensions.

Reason 5: New Features

The current versions contain many new features, which are interesting for developers. Who wants to use this and wants to have the full potential, who has to update.

Reasons against a PHP update

There is really no reason to use older PHP versions and not to update. Many want to avoid problems on the website. Usually, the delay of the update causes the problems. Of course, the compatibility with the shop system, CMS, plugins, themes and so on must be given. If there are any risks, these hurdles must be cleared out sooner or later anyway. Deferred is therefore not waived.

Find out PHP version

At Anri Studio you can currently choose between PHP 5.3 to 7.3. If you are wondering which PHP version is actually in use, you can easily find it out in ISPConfig. You do this as follows:

  • Log into ISPConfig
  • Call up “websites”
  • Choose the website to be reviewed.
  • Scroll down under the “Domain” tab.
  • “PHP version” shows the current version number.

What do I have to consider when updating?

The security support for version 7.1 is running out. So if you use 7.1 or even a smaller version, you should promptly take care of an update to 7.2 or 7.3. If you switch to the current PHP version, you must also pay attention to the CMS / shop system and the plugins. This is the only way to ensure compatibility.

Update PHP version

  • Shop system / CMS compatibility: Find out which PHP version you use and which version your shop system / CMS has. Check the compatibility of your shop system with PHP 7.2 or 7.3. Also for the extensions suitable versions must be present.
  • Create backup : In the first step, we recommend creating a backup. For example, if you have a cronjob for a backup, check if the backup exists. In the event of a problem, you can access our automatic backup that we provide as a service to you.
  • Development environment : We recommend setting up a development environment for the update. So you can do the update and test in advance if plugins, and other extensions also support the new PHP version.
  • Plugins : If, for example, plugins cause problems, they may need to be updated. The latest versions are usually compatible with the latest PHP versions. Should there continue to be problems with a plugin, then it may be necessary to search for an alternative.
  • Testing & testing : Only after extensive testing in the development environment, if there are no problems there, then the update can also be implemented in the Life environment.

If you need assistance with the update or if you have any other questions, please contact Anri Studio